/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/sysdep.h(3)

NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/sysdep.h - Private interface for system dependencies.

SYNOPSIS

  Typedefs
typedef discover_sysdep_device_data discover_sysdep_device_data_t
typedef discover_sysdep_data discover_sysdep_data_t

  Functions
discover_sysdep_data_t * _discover_sysdep_data_new (void)
discover_sysdep_device_data_t * _discover_sysdep_device_data_new (void)
void _discover_free_sysdep_data (discover_sysdep_data_t *)
void _discover_free_sysdep_device_data (discover_sysdep_device_data_t *)
discover_sysdep_data_t * _discover_get_ata_raw (void)
discover_sysdep_data_t * _discover_get_pci_raw (void)
discover_sysdep_data_t * _discover_get_usb_raw (void)
discover_sysdep_data_t * _discover_get_pcmcia_raw (void)
discover_sysdep_data_t * _discover_get_scsi_raw (void)

Detailed Description

Private interface for system dependencies.

Definition in file sysdep.h.

Typedef Documentation

  typedef struct discover_sysdep_data discover_sysdep_data_t

Linked list node, used to return hardware-identification information discovered by the system-dependent interface

  typedef struct discover_sysdep_device_data discover_sysdep_device_data_t

Linked list node, used to return data specific to the sysdep/device in question, to be passed to the user under the 'device' data path.

Function Documentation

  void _discover_free_sysdep_data (discover_sysdep_data_t * head)

Release the memory that the sysdep data was holding.

Definition at line 92 of file sysdep.c.

References _discover_free_sysdep_device_data(), discover_sysdep_data::busclass, discover_sysdep_data::data, discover_sysdep_data::model, discover_sysdep_data::next, and discover_sysdep_data::vendor.

Referenced by discover_get_devices().

  void _discover_free_sysdep_device_data (discover_sysdep_device_data_t * head)

Release memory being held by device-specific data.

Definition at line 117 of file sysdep.c.

References discover_sysdep_device_data::next, discover_sysdep_device_data::path, and discover_sysdep_device_data::value.

Referenced by _discover_free_sysdep_data().

  discover_sysdep_data_t* _discover_sysdep_data_new (void)

Create a new instance of sysdep data.

Definition at line 66 of file sysdep.c.

References discover_sysdep_data::busclass, discover_sysdep_data::data, discover_sysdep_data::model, discover_sysdep_data::next, and discover_sysdep_data::vendor.

  discover_sysdep_device_data_t* _discover_sysdep_device_data_new (void)

Create a new instance of sysdep device data.

Definition at line 80 of file sysdep.c.

References discover_sysdep_device_data::next, discover_sysdep_device_data::path, and discover_sysdep_device_data::value.

Author

Generated automatically by Doxygen for discover from the source code.